Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.text
Class UndoableDocument

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument
            |
            +--javax.swing.text.PlainDocument
                  |
                  +--swing.addon.text.UndoableDocument

All Implemented Interfaces:
  javax.swing.text.Document, java.io.Serializable

Direct Known Subclasses:
  JavaDocument

public class UndoableDocument
extends javax.swing.text.PlainDocument

A document to represent text in the form of the java programming language. This is quite primitive in that it simply provides support for lexically analyzing the text.

Version:
  1.2 05/04/98
Author:
  Timothy Prinzing
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.text.AbstractDocument
`javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

Fields inherited from class javax.swing.text.PlainDocument
`lineLimitAttribute, tabSizeAttribute`

Fields inherited from class javax.swing.text.AbstractDocument
`BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

Fields inherited from interface javax.swing.text.Document
`StreamDescriptionProperty, TitleProperty`

Constructor Summary
`UndoableDocument()`

Method Summary
`boolean` | `canRedo()`
`boolean` | `canUndo()`
`java.lang.String` | `getText()`
`void` | `redo()`
`void` | `setText(java.lang.String text)`
`void` | `undo()`

Methods inherited from class javax.swing.text.PlainDocument
`createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

Methods inherited from class javax.swing.text.AbstractDocument
`addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, insertString, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, setAsynchronousLoadPriority, setDocumentProperties, writeLock, writeUnlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoableDocument

    public UndoableDocument()

Method Detail

### canRedo

    public boolean canRedo()

### canUndo

    public boolean canUndo()

### getText

    public java.lang.String getText()

### redo

    public void redo()

### setText

    public void setText(java.lang.String text)

### undo

    public void undo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD